-- <?php die('This is not a program file.'); exit; ?>


--
-- Table structure for table `#TABLE_PREFIX#_test_customers`
--

DROP TABLE IF EXISTS `#TABLE_PREFIX#_test_customers`;

CREATE TABLE `#TABLE_PREFIX#_test_customers` (
  `num` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` mediumtext COLLATE utf8mb4_unicode_ci,
  `last_name` mediumtext COLLATE utf8mb4_unicode_ci,
  `annual_sales` int(11) DEFAULT NULL,
  `last_contacted` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `full_name` varchar(255) COLLATE utf8mb4_unicode_ci GENERATED ALWAYS AS (concat(`first_name`,' ',`last_name`)) STORED,
  `discount_level` varchar(255) COLLATE utf8mb4_unicode_ci GENERATED ALWAYS AS ((case when (`annual_sales` >= 100000) then 'Platinum' when (`annual_sales` >= 50000) then 'Gold' when (`annual_sales` >= 20000) then 'Silver' when (`annual_sales` > 0) then 'Bronze' else 'No Rating' end)) STORED,
  `last_contacted_q` varchar(255) COLLATE utf8mb4_unicode_ci GENERATED ALWAYS AS ((case when (year(`last_contacted`) > 0) then concat(year(`last_contacted`),' Q',quarter(`last_contacted`)) else 'Never' end)) STORED,
  PRIMARY KEY (`num`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;


--
-- Dumping data for table `#TABLE_PREFIX#_test_customers`
--

INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("1","Sophia","Lopez","32000","2023-12-19 21:21:00",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("2","Mia","Clark","960000","2023-05-08 21:21:05",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("3","Alice","Johnson","1500","2023-08-06 21:21:00",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("4","David","Smith","60000","2023-11-04 21:21:00",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("5","Ella","Wilson","280000","2023-02-02 21:21:05",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("6","George","Brown","630000","2024-01-03 21:21:05",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("7","Isabella","Martinez","15000","2023-10-05 21:21:00",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("8","Liam","Garcia","400","2023-06-07 21:21:00",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("9","Olivia","Davis","560000","2023-12-04 21:21:05",DEFAULT,DEFAULT,DEFAULT);
INSERT INTO `#TABLE_PREFIX#_test_customers` VALUES("10","Noah","Anderson","120000","2023-09-05 21:21:05",DEFAULT,DEFAULT,DEFAULT);

-- Dump completed on 2024-02-02 23:19:42 -0800

