<?php /* This is a PHP data file */ if (empty($LOADSTRUCT)) { die("This is not a program file."); }
return array (
  '_description' => '',
  '_detailPage' => '',
  '_disableAdd' => '0',
  '_disableErase' => '0',
  '_disableEraseFromModify' => '0',
  '_disableModify' => '0',
  '_disablePreview' => '0',
  '_disableView' => '1',
  '_filenameFields' => 'num',
  '_hideRecordsFromDisabledAccounts' => '0',
  '_indent' => '0',
  '_listPage' => '',
  '_maxRecords' => '',
  '_maxRecordsPerUser' => '',
  '_perPageDefault' => '1000',
  '_previewPage' => '',
  '_primaryKey' => 'num',
  '_requiredPlugins' => '',
  '_tableName' => 'test_customers',
  'listPageFields' => 'num, full_name, annual_sales, discount_level, last_contacted, last_contacted_q',
  'listPageOrder' => 'num DESC',
  'listPageSearchFields' => '_all_',
  'menuHidden' => '0',
  'menuName' => 'Test Customers',
  'menuOrder' => '-10',
  'menuPrefixIcon' => '',
  'menuType' => 'multi',
  'num' => array(
    'order' => 1,
    'type' => 'none',
    'label' => 'Record Number',
    'isSystemField' => '1',
  ),
  'first_name' => array(
    'order' => 6,
    'label' => 'First Name',
    'type' => 'textfield',
    'indexed' => '',
    'defaultValue' => '',
    'fieldPrefix' => '',
    'description' => '',
    'fieldAddonBefore' => '',
    'fieldAddonAfter' => '',
    'fieldWidth' => '',
    'isPasswordField' => '0',
    'isRequired' => '0',
    'isUnique' => '0',
    'minLength' => '',
    'maxLength' => '',
    'charsetRule' => '',
    'charset' => '',
  ),
  'last_name' => array(
    'order' => 7,
    'label' => 'Last Name',
    'type' => 'textfield',
    'indexed' => '',
    'defaultValue' => '',
    'fieldPrefix' => '',
    'description' => '',
    'fieldAddonBefore' => '',
    'fieldAddonAfter' => '',
    'fieldWidth' => '',
    'isPasswordField' => '0',
    'isRequired' => '0',
    'isUnique' => '0',
    'minLength' => '',
    'maxLength' => '',
    'charsetRule' => '',
    'charset' => '',
  ),
  'annual_sales' => array(
    'order' => 8,
    'label' => 'Annual Sales',
    'type' => 'textfield',
    'indexed' => '0',
    'defaultValue' => '',
    'fieldPrefix' => '',
    'description' => '',
    'fieldAddonBefore' => '',
    'fieldAddonAfter' => '',
    'fieldWidth' => '',
    'isPasswordField' => '0',
    'isRequired' => '0',
    'isUnique' => '0',
    'minLength' => '',
    'maxLength' => '',
    'charsetRule' => '',
    'charset' => '',
    'customColumnType' => 'INT NULL',
  ),
  'last_contacted' => array(
    'order' => 9,
    'label' => 'Last Contacted',
    'type' => 'date',
    'indexed' => '0',
    'fieldPrefix' => '',
    'description' => '',
    'isRequired' => '0',
    'isUnique' => '0',
    'defaultDate' => 'none',
    'defaultDateString' => '2024-01-01 00:00:00',
    'showTime' => '1',
    'showSeconds' => '0',
    'use24HourFormat' => '0',
    'yearRangeStart' => '',
    'yearRangeEnd' => '',
  ),
  'full_name' => array(
    'order' => 10,
    'label' => 'Full Name',
    'type' => 'GeneratedColumn',
    'gcExpr' => 'CONCAT(first_name, \' \', last_name)',
    'gcType' => 'STORED',
    'indexed' => '0',
  ),
  'discount_level' => array(
    'order' => 11,
    'label' => 'Discount Level',
    'type' => 'GeneratedColumn',
    'gcExpr' => 'CASE
WHEN annual_sales >= 100000 THEN \'Platinum\'
WHEN annual_sales >= 50000 THEN \'Gold\'
WHEN annual_sales >= 20000 THEN \'Silver\'
WHEN annual_sales > 0 THEN \'Bronze\'
ELSE \'No Rating\'
END',
    'gcType' => 'STORED',
    'indexed' => '0',
  ),
  'last_contacted_q' => array(
    'order' => 12,
    'label' => 'Last Contacted Quarter',
    'type' => 'GeneratedColumn',
    'gcExpr' => 'CASE
WHEN YEAR(last_contacted) > 0 THEN CONCAT(YEAR(last_contacted), \' Q\', QUARTER(last_contacted))
ELSE "Never"
END',
    'gcType' => 'STORED',
    'indexed' => '0',
  ),
);
